﻿@using Projet_mes.ControlViews;
@{
    ViewData["Title"] = "Ajout Film";
}
@model MovieViewModel

<h1>Ajout Film</h1>
<form asp-asp-controller="Movie" asp-action="Create" method="post" enctype="multipart/form-data">
    <div class="mb-1">
        <label asp-for="Movie.TitleVf" class="form-label">Titre</label>
        <input asp-for="Movie.TitleVf" class="form-control" />
        <span asp-validation-for="Movie.TitleVf"></span>
    </div>
    <div class="mb-1">
        <label asp-for="Movie.TitleVo" class="form-label">Titre VO</label>
        <input asp-for="Movie.TitleVo" class="form-control" type="text" />
        <span asp-validation-for="Movie.TitleVo"></span>
    </div>
    <div class="mb-1">
        <label asp-for="Movie.Duration" class="form-label">Durée (en minute)</label>
        <input asp-for="Movie.Duration" class="form-control" type="number" />
        <span asp-validation-for="Movie.Duration"></span>
    </div>
    <div class="mb-1">
        <label asp-for="Movie.ReleaseDate" class="form-label">Date de sortie</label>
        <input asp-for="Movie.ReleaseDate" class="form-control" type="date" />
        <span asp-validation-for="Movie.ReleaseDate"></span>
    </div>

    <div class="mb-1">
        <label asp-for="Poster" class="form-label">Affiche</label>
        <input asp-for="Poster" class="form-control" type="file" />
        <span asp-validation-for="Poster"></span>
    </div>
    <div class="mb-1">
        <label asp-for="Movie.IdentVideo" class="form-label">Identifiant Video</label>
        <input asp-for="Movie.IdentVideo" class="form-control" type="text" />
        <span asp-validation-for="Movie.IdentVideo"></span>
    </div>
    <div class="mb-1">
        <label asp-for="Movie.Genre.Name" class="form-label">Genre</label>
        <input asp-for="Movie.Genre.Name" class="form-control" list="genres" />
        <datalist id="genres">
            @foreach (var genre in Model.Genres)
            {
                <option>@genre.Name</option>
            }
        </datalist>
        <span asp-validation-for="Movie.Genre.Name"></span>
    </div>
    <div class="mb-1">
        <label asp-for="Movie.Nationality.Name" class="form-label">Nation</label>
        <input asp-for="Movie.Nationality.Name" class="form-control" list="nationality"/>
        <datalist id="nationality">
            @foreach(var nation in Model.Nations)
            {
                <option>@nation.Name</option>
            }
        </datalist>
        <span asp-validation-for="Movie.Nationality.Name"></span>
    </div>
    <div class="mb-1">
        <label asp-for="Movie.Summary" class="form-label">Résumé</label>
        <textarea asp-for="Movie.Summary" rows="4" cols="50">
        </textarea>
    </div>
    <button type="submit" class="btn btn-primary offset-md-4 col-md-4">Confirmer</button>
</form>
